Retrieve an applicable Price Adjustment
curl --request GET \
--url https://api.lynkwell.com/identity/v1/price-adjustments/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lynkwell.com/identity/v1/price-adjustments/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lynkwell.com/identity/v1/price-adjustments/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"sitePartnerId": "<string>",
"name": {
"en_US": "<string>"
},
"currency": "<string>",
"type": "PERCENTAGE",
"amount": 123,
"status": "ACTIVE",
"autoApproveInvitations": true,
"networkId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"expirationDate": "2023-11-07T05:31:56Z",
"maxAdjustment": 123
}
}Price Adjustment
Retrieve an applicable Price Adjustment
Search for an applicable price adjustment based on assetId and driverId
GET
/
identity
/
v1
/
price-adjustments
/
search
Retrieve an applicable Price Adjustment
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The ID of the asset for which the price adjustment is applicable.
The ID of the driver for whom the price adjustment is applicable.
Response
OK
- Option 1
- Option 2
Show child attributes
Show child attributes